> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swervpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Logs

> List webhook logs



## OpenAPI

````yaml GET /webhook/logs
openapi: 3.0.0
info:
  title: Swervpay Developer API Specification
  version: 0.0.0
servers:
  - url: https://api.swervpay.co/api/v1
    description: Production API
  - url: https://sandbox.swervpay.co/api/v1
    description: Sandbox API
security:
  - bearerAuth: []
paths:
  /webhook/logs:
    get:
      tags:
        - webhook
      description: List webhook logs
      operationId: listWebhookLogs
      parameters:
        - name: page
          in: query
          schema:
            type: integer
        - name: limit
          in: query
          schema:
            type: integer
        - name: status
          in: query
          schema:
            type: string
        - name: event
          in: query
          schema:
            type: string
        - name: webhook_id
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TypesBusinessWebhookLog'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
components:
  schemas:
    TypesBusinessWebhookLog:
      type: object
      properties:
        business_webhook_id:
          type: string
        created_at:
          type: string
          format: date-time
        event:
          $ref: '#/components/schemas/EnumWebhookEventTrigger'
        id:
          type: string
        request_body:
          type: string
        response_body:
          type: string
        response_status_code:
          type: string
        status:
          type: string
        updated_at:
          type: string
          format: date-time
    UsererrorError:
      type: object
      properties:
        message:
          type: string
        values:
          type: object
          additionalProperties: {}
    EnumWebhookEventTrigger:
      enum:
        - bill.completed
        - bill.failed
        - bill.processed
        - card.authorization
        - card.charges
        - card.contactless.activation
        - card.created
        - card.created.failed
        - card.freezed
        - card.terminated
        - card.transaction
        - card.unfreezed
        - card.updated
        - checkout.completed
        - checkout.failed
        - collection.completed
        - collection.created
        - collection.created.failed
        - collection.failed
        - collection.notification
        - collection.updated
        - customer.created
        - customer.kyc.updated
        - customer.updated
        - payout.completed
        - payout.failed
        - payout.processed
        - payout.processing
        - payout.reversed
        - wallet.created
        - wallet.updated
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````